/***************************************************************************
 *   Copyright (C) 2004 by Marek Sopko                                     *
 *   avatar@host.sk                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "GLText.h"

// konstruktor *************************************************************
CGLText::CGLText()
{
 mystring=mybuf;
 LabelColor[0]=1.0f; LabelColor[1]=0.0f;
 LabelColor[2]=0.0f; LabelColor[3]=1.0f;
}

// destruktor **************************************************************
CGLText::~CGLText()
{

}

// vypis textu *************************************************************
GLvoid CGLText::DrawString(GLfloat x,GLfloat y)
{
 glPushAttrib(GL_LIGHTING_BIT|GL_DEPTH_BUFFER_BIT);
 glDisable(GL_LIGHTING);
 glDisable(GL_DEPTH_TEST);

 glMatrixMode(GL_PROJECTION);
 glPushMatrix();
 glLoadIdentity();
 glMatrixMode(GL_MODELVIEW);
 glPushMatrix();
 glLoadIdentity();

 fontColor(LabelColor[0],LabelColor[1],LabelColor[2]);
 fontDrawString((int) x,(int) y,mystring);

 /*
 fontSize(10);
 fontShadow();
 fontShadowColor(0.5,0.5,0.5);
 fontColor(1,0,0);
 fontDrawString(0,500,"OpenGL Extensions:");
 fontRegion(10,500,10*50,10*10);
 fontDrawString(-1,-1,glExten);

 fontGradient();
 fontGradientColor(1,1,1);
 */

 glPopMatrix();
 glMatrixMode(GL_PROJECTION);
 glPopMatrix();
 glMatrixMode(GL_MODELVIEW);

 glPopAttrib();
}

